## comune a tutte le app che si configureranno tramite spring.cloud.config su questa app come server
gpec.remote.service.folder: /opt/gpec/services

eureka:
  instance:
#    hostname: {{instance.name}}
    preferIpAddress: true
    leaseRenewalIntervalInSeconds: 10
    health-check-url-path: /actuator/health
    metadata-map:
      zone: CA
      startup: ${random.int}    #needed to trigger info and endpoint update after restart
  client:
    preferSameZoneEureka: true

spring.sleuth.sampler.probability: 1
spring.sleuth.rxjava.schedulers.hook.enabled: false

spring.boot.admin.client.instance.metadata.tags.environment: collaudo
spring.boot.admin.client.instance.prefer-ip: true

# gestione delle policy di mirroring etc, da codice
rabbit.custom.cluster.ha : dynamic

management:
  endpoints:
    web.exposure.include: "*"
    web.path-mapping.health: health
    health.show-details: always
  endpoint:
    restart.enabled: true
    shutdown.enabled: true
  security:
    enabled: false
  metrics.export.simple.enabled: true

endpoints:
  shutdown:
    enabled: true
  restart:
    enabled: true
  health:
    show-details: ALWAYS


logging:
  pattern.level: "%d{ABSOLUTE} [%X{traceId}/%X{spanId}] %-5p [%t] %C{2} - %m%n"
  level:
#    root: INFO
    it.posteitaliane.pec: DEBUG
    mcp.cloudtrace: info
    zipkin2.reporter: OFF
    org.springframework.amqp: INFO
    org.springframework.data.couchbase.repository.query: INFO

spring:
  couchbase:
    bootstrap-hosts: tpod-gpec-couchbase1.pec-collaudo.pod2.local
    bucket:
      name: lots
      password: HwNbVfY2TVsBqgX
  data:
    couchbase:
      auto-index: true
      useISOStringConverterForDate: true
  jackson:
    serialization.FAIL_ON_EMPTY_BEANS: false
